GETABCIQuery

https://rpc-injective-mainnet.nodit.io/abci_query

Queries the application with a specific path and data.

Query Parameters
pathstring

Application request path.

datastring

Hex-encoded serialized byte data.

heightstring

Block height for the query.

provestring

String boolean indicating whether to include proof.

Responses
jsonrpcstringrequired

JSON-RPC protocol version. Always 2.0.

idintegerrequired

The request ID, echoed back unchanged.

errorstring

Error information returned when the request fails.

responseobject

Response from the ABCI application.

logstring

Execution log message.

heightstring

Block height the query result refers to.

proofstring

Merkle proof of the query result.

keystring

Queried key (Base64).

valuestring

Query result value (Base64).

indexstring

Index of the query result.

codestring

Result code. 0 means success; any other value is an error.

X-API-KEY
RequestCU25
cURL
curl -X GET "https://rpc-injective-mainnet.nodit.io/abci_query?path=/store/foo/key&data=636f6d6574626674&height=1&prove=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "response": {
      "log": "exists",
      "height": "1",
      "proof": "CgMIARIFCgNmb28=",
      "key": "Zm9v",
      "value": "YmFy",
      "index": "0",
      "code": "0"
    }
  }
}

Last updated